Name: jdbc-stdext
Version: 2.0
Release: alt2

Summary: Java DataBase Connectivity 2.0 optional package
Group: Development/Java
License: Sun Binary Code License
URL: http://java.sun.com/products/jdbc

Source0: jdbc2_0-stdext.jar
Source1: jdbc2_0_1-stdext-javadoc.tar.bz2
Source2: sun-binary-code-license.txt
#NoSource: 0 1 2

BuildArch: noarch

BuildPreReq: rpm-build-java

%description
The javax.sql package is also called the JDBC 2.0 Optional Package API
(formerly known as the JDBC 2.0 Standard Extension API).

%package javadoc
Summary: Javadoc for the JDBC 2.0 Optional Package API
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for the JDBC 2.0 Optional Package API
(formerly known as the JDBC 2.0 Standard Extension API).

%prep
%setup -q -c -T -a 1
%__cp %{SOURCE2} LICENSE.txt

%install
%__mkdir_p %buildroot%_javadir
%__install -m644 %SOURCE0 %buildroot%_javadir/%name.jar
%__install -d -m755 %buildroot%_javadocdir/%name
%__cp -a html/* %buildroot%_javadocdir/%name

%files
%doc LICENSE.txt
%_javadir/*.jar

%files javadoc
%_javadocdir/%name

%changelog
* Wed Aug 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.0-alt2
- Use rpm-build-java macros

* Sun Jul 11 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.0-alt1.1
- More spec cleanup

* Sat Nov 29 2003 Alexey Borovskoy <alb@altlinux.ru> 2.0-alt1
- First build for ALTLinux
- Spec cleanup

* Wed Oct 08 2003 Leonid Dubinsky <dub@podval.org> 2.0-12jpp
- conditionalize javadoc subpackage
- mark javadoc as %%doc
- rename spec file

* Thu Feb 13 2003 Nicolas Mailhot <Nicolas.Mailhot@laPoste.net> 2.0-9jpp
- Only install for Java 1.3.0 & 1.3.1

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-8jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-7jpp
- section macro
- nosrc package
- added Sun Binary Code License

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-6jpp
- javadoc in %{javadocdir} again

* Mon Jan 7 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-5jpp
- javadoc back to /usr/share/doc
- no dependencies for javadoc package
- standardised summary

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-4jpp
- javadoc into javadoc package

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-3jpp
- first unified release

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-2mdk
- s/jPackage/JPackage/
- spec cleanup

* Tue Sep 04 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-1mdk
- first Mandrake release
